# 32. Query: aan "ZonesMap" en type gerelateerde "Notes" ophalen

Haal alle "Aantekeningen" op die verband houden met de gedefinieerde "ZonesMap" en het gedefinieerde type.

BELANGRIJK: Het attribuut "comment" is AFGESCHAFT, gebruik in plaats daarvan "comments".

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query HaalAlleVeldNotitiesOp {
  getFarms(farmUuids: ["d2bf8ef5-cde0-4500-b931-2edd0fb40781"]) {
    uuid
    fields(fieldUuids: ["d31240db-98e6-4cb0-b0a8-97ffe00f5e0d"]) {
      uuid
      naam
      notities(vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d", type: GEPLAND) {
        uuid
        updatedDate
        type
      }
    }
  }
}

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nl/api-docs/overzicht-van-api-verzoeken-van-geopard/notities-pins/32.-query-aan-zonesmap-en-type-gerelateerde-notes-ophalen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
